org.cpsolver.studentsct.online.expectations

## Class MoreSpaceThanExpected

- java.lang.Object
- - org.cpsolver.studentsct.online.expectations.PercentageOverExpected
  - - org.cpsolver.studentsct.online.expectations.MoreSpaceThanExpected

- All Implemented Interfaces:
    OverExpectedCriterion

      public class MoreSpaceThanExpected
      extends PercentageOverExpected

  A class is considered over-expected, when there less space available than expected. Much like the `PercentageOverExpected`, but with no ability to adjust the expectations. Expectation rounding can be defined by OverExpected.Rounding parameter, defaults to round (other values are none, ceil, and floor).
  Unlimited classes are never over-expected. A class is over-expected when the number of enrolled students (including the student in question) + expectations is greater or equal the section limit.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.cpsolver.studentsct.online.expectations.PercentageOverExpected

      `PercentageOverExpected.Rounding`

    - ### Nested classes/interfaces inherited from interface org.cpsolver.studentsct.online.expectations.OverExpectedCriterion

      `OverExpectedCriterion.HasContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoreSpaceThanExpected()`
    `MoreSpaceThanExpected(DataProperties config)`

  - ### Method Summary

    - ### Methods inherited from class org.cpsolver.studentsct.online.expectations.PercentageOverExpected

      `getEnrollment, getEnrollment, getExpected, getLimit, getLimit, getOverExpected, getPercentage, hasExpectations, round, setPercentage, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MoreSpaceThanExpected

          public MoreSpaceThanExpected(DataProperties config)

    - #### MoreSpaceThanExpected

          public MoreSpaceThanExpected()